Subject: git gc and worktrees

From: Johannes Sixt <[email-masked]>
Date: Tue, 31 May 2016 09:07:22 +0200

Earlier this year I had a largish merge going on in a separate worktree. 
With a mix of staged resolutions and unmerged paths in the index, I ran 
'git gc' in the main worktree. This removed a lot of objects that were 
recorded in that separate worktree index. (I was able to recover them 
because the content was still on disk.)

Now I wanted to derive a test case that shows that breakage, but I am 
unable to. The objects recorded in a separate worktree index, but not 
committed, yet, are not pruned anymore.

Have there been any fixes in this regard recently? Or does this look 
like something else going on?

-- Hannes